<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AppStateSyncKeyFingerprint extends \Google\Protobuf\Internal\Message
{
    


    protected $rawId = null;
    


    protected $currentIndex = null;
    


    private $deviceIndexes;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getRawId()
    {
        return isset($this->rawId) ? $this->rawId : 0;
    }

    public function hasRawId()
    {
        return isset($this->rawId);
    }

    public function clearRawId()
    {
        unset($this->rawId);
    }

    




    public function setRawId($var)
    {
        GPBUtil::checkUint32($var);
        $this->rawId = $var;

        return $this;
    }

    



    public function getCurrentIndex()
    {
        return isset($this->currentIndex) ? $this->currentIndex : 0;
    }

    public function hasCurrentIndex()
    {
        return isset($this->currentIndex);
    }

    public function clearCurrentIndex()
    {
        unset($this->currentIndex);
    }

    




    public function setCurrentIndex($var)
    {
        GPBUtil::checkUint32($var);
        $this->currentIndex = $var;

        return $this;
    }

    



    public function getDeviceIndexes()
    {
        return $this->deviceIndexes;
    }

    




    public function setDeviceIndexes($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::UINT32);
        $this->deviceIndexes = $arr;

        return $this;
    }

}

